Bug 822367 - Wrong error message given on Reverse lookup failure for host with IPv6
Wrong error message given on Reverse lookup failure for host with IPv6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 03:45 EDT by Steeve Goveas
Modified: 2015-01-16 09:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 09:18:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steeve Goveas 2012-05-17 03:45:21 EDT
Description of problem:
Wrong error message given on Reverse lookup failure for host with IPv6

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-13.el6.x86_64

How reproducible: When Host with IPv6 does not have a PTR record 


Steps to Reproduce:
1. Configure bonding with 2 NICs
2. Give a IPv6 to the bonded Interface
3. Configure DNS with only AAAA record and not the PTR
4. In first case make sure there is no entry for the host in /etc/hosts apart from localhost entries
5. Next add an entry for the host and it IPv6 to get the "cannot find reverse address" error message
  
Actual results:
Received 2 differrent Errors

1.
[root@ratchet ~]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 2] Host name lookup failure

2. 
[root@ratchet ~]# ipa-server-install

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 1] Unknown host

Expected results:
We should receive the error message we receive after adding the host entry in /etc/hosts as below.

[root@ratchet ~]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 Cannot find Reverse Address for ratchet.lab.eng.pnq.redhat.com (2620:52:0:41c9:5054:ff:fea6:ec8)



Additional info:

Wrong error message given on Reverse lookup failure for host with IPv6. 

[root@ratchet ~]# host ratchet.lab.eng.pnq.redhat.com 
ratchet.lab.eng.pnq.redhat.com has IPv6 address 2620:52:0:41c9:5054:ff:fea6:ec8

[root@ratchet ~]# cat /etc/resolv.conf 
search lab.eng.pnq.redhat.com pnq.redhat.com redhat.com
nameserver 10.65.201.245

[root@ratchet ~]# ifconfig bond0
bond0     Link encap:Ethernet  HWaddr 52:54:00:A6:0E:C8  
          inet addr:10.65.201.69  Bcast:10.65.201.255  Mask:255.255.255.0
          inet6 addr: 2620:52:0:41c9:5054:ff:fea6:ec8/64 Scope:Global
          inet6 addr: fe80::5054:ff:fea6:ec8/64 Scope:Link
          UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1
          RX packets:11610367 errors:0 dropped:0 overruns:0 frame:0
          TX packets:107778 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:972628047 (927.5 MiB)  TX bytes:15635273 (14.9 MiB)

[root@ratchet ~]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 2] Host name lookup failure


[root@ratchet ~]# ipa-server-install --ip-address=2620:52:0:41c9:5054:ff:fea6:ec8

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 2] Host name lookup failure

[root@ratchet ~]# host ratchet.lab.eng.pnq.redhat.com 
ratchet.lab.eng.pnq.redhat.com has IPv6 address 2620:52:0:41c9:5054:ff:fea6:ec8

[root@ratchet ~]# dig AAAA ratchet.lab.eng.pnq.redhat.com

; <<>> DiG 9.8.2rc1-RedHat-9.8.2-0.9.rc1.el6 <<>> AAAA ratchet.lab.eng.pnq.redhat.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 29546
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 1, ADDITIONAL: 1

;; QUESTION SECTION:
;ratchet.lab.eng.pnq.redhat.com.	IN	AAAA

;; ANSWER SECTION:
ratchet.lab.eng.pnq.redhat.com.	86400 IN AAAA	2620:52:0:41c9:5054:ff:fea6:ec8

;; AUTHORITY SECTION:
lab.eng.pnq.redhat.com.	86400	IN	NS	wheeljack.lab.eng.pnq.redhat.com.

;; ADDITIONAL SECTION:
wheeljack.lab.eng.pnq.redhat.com. 1200 IN A	10.65.201.245

;; Query time: 0 msec
;; SERVER: 10.65.201.245#53(10.65.201.245)
;; WHEN: Wed May 16 12:22:38 2012
;; MSG SIZE  rcvd: 116


** Added an entry in /etc/hosts

[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
2620:52:0:41c9:5054:ff:fea6:ec8	ratchet.lab.eng.pnq.redhat.com	ratchet

[root@ratchet ~]# ipa-server-install

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 Cannot find Reverse Address for ratchet.lab.eng.pnq.redhat.com (2620:52:0:41c9:5054:ff:fea6:ec8)


** After the above error message I added a Reverse address for the host, which solved the issue.

** Also received ERRNO 1 (under the same conditions) when I was trying to replicate the issue post installation attempt. (The installation failed ahead at configuring certificate server. I will give details of that in a differnet thread)

[root@ratchet ~]# host ratchet.lab.eng.pnq.redhat.com ; host 2620:52:0:41c9:5054:ff:fea6:ec8
ratchet.lab.eng.pnq.redhat.com has IPv6 address 2620:52:0:41c9:5054:ff:fea6:ec8
Host 8.c.e.0.6.a.e.f.f.f.0.0.4.5.0.5.9.c.1.4.0.0.0.0.2.5.0.0.0.2.6.2.ip6.arpa not found: 3(NXDOMAIN)

[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.65.201.69	ratchet.lab.eng.pnq.redhat.com ratchet
#10.65.201.209	ratchet.lab.eng.pnq.redhat.com ratchet

[root@ratchet ~]# ipa-server-install

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 1] Unknown host

[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
2620:52:0:41c9:5054:ff:fea6:ec8	ratchet.lab.eng.pnq.redhat.com	ratchet

[root@ratchet ~]# ipa-server-install

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 Cannot find Reverse Address for ratchet.lab.eng.pnq.redhat.com (2620:52:0:41c9:5054:ff:fea6:ec8)

[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.65.201.69	ratchet.lab.eng.pnq.redhat.com ratchet
#10.65.201.209	ratchet.lab.eng.pnq.redhat.com ratchet

[root@ratchet ~]# ipa-server-install

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 1] Unknown host


** Without bonded NICS

[root@ratchet ~]# host ratchet.lab.eng.pnq.redhat.com ; host 2620:52:0:41c9:5054:ff:fea6:ec8
ratchet.lab.eng.pnq.redhat.com has IPv6 address 2620:52:0:41c9:5054:ff:fea6:ec8
Host 8.c.e.0.6.a.e.f.f.f.0.0.4.5.0.5.9.c.1.4.0.0.0.0.2.5.0.0.0.2.6.2.ip6.arpa not found: 3(NXDOMAIN)

[root@ratchet ~]# ifconfig 
eth0      Link encap:Ethernet  HWaddr 52:54:00:A6:0E:C8  
          inet addr:10.65.201.69  Bcast:10.65.201.255  Mask:255.255.255.0
          inet6 addr: 2620:52:0:41c9:5054:ff:fea6:ec8/64 Scope:Global
          inet6 addr: fe80::5054:ff:fea6:ec8/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:6748174 errors:0 dropped:0 overruns:0 frame:0
          TX packets:59904 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:517013575 (493.0 MiB)  TX bytes:11345362 (10.8 MiB)

eth1      Link encap:Ethernet  HWaddr 52:54:00:C5:30:47  
          inet addr:10.65.201.209  Bcast:10.65.201.255  Mask:255.255.255.0
          inet6 addr: 2620:52:0:41c9:5054:ff:fec5:3047/64 Scope:Global
          inet6 addr: fe80::5054:ff:fec5:3047/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5163260 errors:0 dropped:0 overruns:0 frame:0
          TX packets:51721 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:478668332 (456.4 MiB)  TX bytes:4968436 (4.7 MiB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:38698 errors:0 dropped:0 overruns:0 frame:0
          TX packets:38698 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:19430826 (18.5 MiB)  TX bytes:19430826 (18.5 MiB)

[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
#10.65.201.69	ratchet.lab.eng.pnq.redhat.com ratchet
#10.65.201.209	ratchet.lab.eng.pnq.redhat.com ratchet

[root@ratchet ~]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 [Errno 1] Unknown host

------
[root@ratchet ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
2620:52:0:41c9:5054:ff:fea6:ec8	ratchet.lab.eng.pnq.redhat.com	ratchet

[root@ratchet ~]# host ratchet.lab.eng.pnq.redhat.com ; host 2620:52:0:41c9:5054:ff:fea6:ec8
ratchet.lab.eng.pnq.redhat.com has IPv6 address 2620:52:0:41c9:5054:ff:fea6:ec8
Host 8.c.e.0.6.a.e.f.f.f.0.0.4.5.0.5.9.c.1.4.0.0.0.0.2.5.0.0.0.2.6.2.ip6.arpa not found: 3(NXDOMAIN)

[root@ratchet ~]# ipa-server-install 

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)

To accept the default shown in brackets, press the Enter key.

Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [ratchet.lab.eng.pnq.redhat.com]: 

Unexpected error - see ipaserver-install.log for details:
 Cannot find Reverse Address for ratchet.lab.eng.pnq.redhat.com (2620:52:0:41c9:5054:ff:fea6:ec8)
Comment 2 RHEL Product and Program Management 2012-05-21 02:49:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Martin Kosek 2015-01-16 09:18:57 EST
Proper IPv4/IPv6 detection was fixed in ticket
https://fedorahosted.org/freeipa/ticket/3575 (Bug 1128380). The error should be therefore fixed with IdM/FreeIPA 4.1 or later.

If you still happen to reproduce this issue, please feel free to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.